Subject: Re: [RFC/PATCH 4/4] Re-implement 'git remote update' using 'git fetch'

From: Paolo Bonzini <[email-masked]>
Date: Sun, 08 Nov 2009 22:10:44 +0100

On 11/08/2009 04:48 PM, Björn Gustavsson wrote:
> In order to not duplicate functionality, re-implement 'git remote
> update' in terms of 'git fetch'.
>
> There is one incompatibility: the skipDefaultUpdate configuration
> variable will only be honored if remotes.default is not set (i.e.
> when 'git remote update' will invoke 'git fetch --all', not when
> it will invoke 'git fetch default').

Rather than introducing this incompatibility, I'd rather see 'git remote 
update' deprecated (so that the code will one day go away for good) and, 
for now, leave duplicated functionality for the incompatible case.

It would be great if the deprecation message for "git remote update" 
spewed out commands to convert the old configuration to what is needed 
for "git fetch --all" to work in the same way.

Paolo